package com.zehong.system.mapper;

import java.util.List;
import java.util.Map;

/**
 * 大屏统计接口
 */
public interface TScreenStatisticMapper {

    /**
     * 考勤打卡统计
     * @return
     */
    Map<String,Object> clockStatistic();

    /**
     * 最新任务统计
     * @param param 入参
     * @return
     */
    Map<String,Object> userCurrentTaskStatistic(Map<String,Object> param);

    /**
     * 最新巡检统计
     * @param param 入参
     * @return
     */
    List<Map<String,Object>> userCurrentInspectStatistic(Map<String,Object> param);

    /**
     * 设备生命周期统计
     * @return
     */
    Map<String,Object> devLifeStatistic();

    /**
     * 隐患统计
     * @return
     */
    Map<String,Object> dangerStatistic(Map<String,Object> param);

    /**
     * 管线分类型统计长度
     * @return
     */
    List<Map<String,Object>> pipeLengthStatisticByType();

    /**
     * 设备分类型统计
     * @return
     */
    List<Map<String,Object>> deviceStatisticByType();

    /**
     * 场站分类型统计
     * @return
     */
    List<Map<String,Object>> stationStatisticByType();

    /**
     * 用户统计
     * @param type 用户类型
     * @return
     */
    List<Map<String,Object>> userStatistic(int type);

}
